Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452053 - Renamed system-software-installer to system-software-install in gnome-icon-theme 2.23.2
Summary: Renamed system-software-installer to system-software-install in gnome-icon-th...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 00:35 UTC by sangu
Modified: 2008-09-20 00:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-20 00:37:35 UTC


Attachments (Terms of Use)

Description sangu 2008-06-19 00:35:52 UTC
Description of problem:
Renamed system-software-installer to system-software-install

$cat /usr/share/applications/gpk-application.desktop | grep Icon
Icon=system-software-installer

$ rpm -qpl gnome-icon-theme-2.23.2-1.fc10.noarch.rpm | grep system-software-install
/usr/share/icons/gnome/16x16/apps/system-software-install.png
/usr/share/icons/gnome/22x22/apps/system-software-install.png
/usr/share/icons/gnome/24x24/apps/system-software-install.png
/usr/share/icons/gnome/32x32/apps/system-software-install.png
/usr/share/icons/gnome/scalable/apps/system-software-install.svg

http://svn.gnome.org/viewvc/gnome-icon-theme/trunk/ChangeLog?revision=1835&view=markup
[...]
2008-05-07  Lapo Calamandrei <calamandrei@gmail.com>

	* Renamed system-software-installer to system-software-install as for
	  latest naming specs additions.
[...]

Version-Release number of selected component (if applicable):
0.2.3-3.20080611.fc10.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Missing icon on panel menu

Expected results:


Additional info:

Comment 1 Richard Hughes 2008-06-19 03:06:49 UTC
Sure, so this only affects rawhide, eugh. Is there a way to symlink this with
the old name to avoid me having two builds with two different names?

Comment 2 sangu 2008-06-19 04:08:47 UTC
(In reply to comment #1)
> Is there a way to symlink this with the old name to avoid me having two builds
with two different names?

If using icon-naming-utils , fixed?
adding to /usr/share/icon-naming-utils/legacy-icon-mapping.xml
like this.

<icon name="system-software-install">
            <link>system-software-installer</link>
</icon>

Then gnome-icon-theme package has a bug ( bug 451916 ).



Note You need to log in before you can comment on or make changes to this bug.